Package org.eclipse.debug.ui.actions

## Class RulerBreakpointTypesActionDelegate

- java.lang.Object
- - org.eclipse.debug.ui.actions.RulerBreakpointTypesActionDelegate

All Implemented Interfaces:
  `IMenuCreator`, `IMenuListener`, `IActionDelegate`, `IEditorActionDelegate`

    @Deprecated
    public class RulerBreakpointTypesActionDelegate
    extends Object
    implements IEditorActionDelegate, IMenuListener, IMenuCreator

Deprecated.
Should use BreakpointTypesContribution instead.
Breakpoint ruler pop-up action that creates a sub-menu to select the currently active breakpoint type. This action delegate can be contributed to an editor with the `editorActions` extension point. The breakpoint types are calculated based on the toggle breakpoint target factories contributed through the `toggleBreakpointsTargetFactories` extension point.

Following is example plug-in XML used to contribute this action to an editor's vertical ruler context menu. It uses the `popupMenus` extension point, by referencing the ruler's context menu identifier in the `targetID` attribute.

     <extension point="org.eclipse.ui.popupMenus">
       <viewerContribution
         targetID="example.rulerContextMenuId"
         id="example.RulerPopupActions">
           <action
             label="Toggle Breakpoint"
             class="org.eclipse.debug.ui.actions.RulerBreakpointTypesActionDelegate"
             menubarPath="additions"
             id="example.rulerContextMenu.breakpointTypesAction">
           </action>
       </viewerContribution>

Clients may refer to this class as an action delegate in plug-in XML. This class is not intended to be subclassed.

Since:
  3.5
See Also:
  `IToggleBreakpointsTargetManager`, `IToggleBreakpointsTargetFactory`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`RulerBreakpointTypesActionDelegate()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated. Disposes the menu returned by `getMenu`.
`Menu` `getMenu​(Control parent)` Deprecated. Returns the SWT menu, created as a pop up menu parented by the given control.
`Menu` `getMenu​(Menu parent)` Deprecated. Returns an SWT menu created as a drop down menu parented by the given menu.
`void` `menuAboutToShow​(IMenuManager manager)` Deprecated. Notifies this listener that the menu is about to be shown by the given menu manager.
`void` `run​(IAction action)` Deprecated. Performs this action.
`void` `selectionChanged​(IAction action, ISelection selection)` Deprecated. Notifies this action delegate that the selection in the workbench has changed.
`void` `setActiveEditor​(IAction callerAction, IEditorPart targetEditor)` Deprecated. Sets the active editor for the delegate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RulerBreakpointTypesActionDelegate

    public RulerBreakpointTypesActionDelegate()

Deprecated.

### Method Detail

#### selectionChanged

    public void selectionChanged​(IAction action,
                                 ISelection selection)

Deprecated.
Description copied from interface: `IActionDelegate`
Notifies this action delegate that the selection in the workbench has changed.

Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

Specified by:
  `selectionChanged` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles presentation portion of the action
  `selection` - the current selection, or `null` if there is no selection.

#### run

    public void run​(IAction action)

Deprecated.
Description copied from interface: `IActionDelegate`
Performs this action.

This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

Specified by:
  `run` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles the presentation portion of the action

#### setActiveEditor

    public void setActiveEditor​(IAction callerAction,
                                IEditorPart targetEditor)

Deprecated.
Description copied from interface: `IEditorActionDelegate`
Sets the active editor for the delegate. Implementors should disconnect from the old editor, connect to the new editor, and update the action to reflect the new editor.

Specified by:
  `setActiveEditor` in interface `IEditorActionDelegate`
Parameters:
  `callerAction` - the action proxy that handles presentation portion of the action
  `targetEditor` - the new editor target

#### dispose

    public void dispose()

Deprecated.
Description copied from interface: `IMenuCreator`
Disposes the menu returned by `getMenu`. Does nothing if there is no menu. This method will be executed only when the parent of the menu is disposed.

Specified by:
  `dispose` in interface `IMenuCreator`

#### menuAboutToShow

    public void menuAboutToShow​(IMenuManager manager)

Deprecated.
Description copied from interface: `IMenuListener`
Notifies this listener that the menu is about to be shown by the given menu manager.

Specified by:
  `menuAboutToShow` in interface `IMenuListener`
Parameters:
  `manager` - the menu manager

#### getMenu

    public Menu getMenu​(Menu parent)

Deprecated.
Description copied from interface: `IMenuCreator`
Returns an SWT menu created as a drop down menu parented by the given menu. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

Specified by:
  `getMenu` in interface `IMenuCreator`
Parameters:
  `parent` - the parent menu
Returns:
  the menu, or `null` if the menu could not be created

#### getMenu

    public Menu getMenu​(Control parent)

Deprecated.
Description copied from interface: `IMenuCreator`
Returns the SWT menu, created as a pop up menu parented by the given control. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

Specified by:
  `getMenu` in interface `IMenuCreator`
Parameters:
  `parent` - the parent control
Returns:
  the menu, or `null` if the menu could not be created